package org.eclipse.jdt.internal.compiler.impl;

package .tmp;

import org.eclipse.jdt.internal.compiler.impl.Constant;

public class IntConstant extends Constant {
  int value;
  
  private static final org.eclipse.jdt.internal.compiler.impl.IntConstant MIN_VALUE = new org.eclipse.jdt.internal.compiler.impl.IntConstant(-2147483648);
  
  private static final org.eclipse.jdt.internal.compiler.impl.IntConstant MINUS_FOUR = new org.eclipse.jdt.internal.compiler.impl.IntConstant(-4);
  
  private static final org.eclipse.jdt.internal.compiler.impl.IntConstant MINUS_THREE = new org.eclipse.jdt.internal.compiler.impl.IntConstant(-3);
  
  private static final org.eclipse.jdt.internal.compiler.impl.IntConstant MINUS_TWO = new org.eclipse.jdt.internal.compiler.impl.IntConstant(-2);
  
  private static final org.eclipse.jdt.internal.compiler.impl.IntConstant MINUS_ONE = new org.eclipse.jdt.internal.compiler.impl.IntConstant(-1);
  
  private static final org.eclipse.jdt.internal.compiler.impl.IntConstant ZERO = new org.eclipse.jdt.internal.compiler.impl.IntConstant(0);
  
  private static final org.eclipse.jdt.internal.compiler.impl.IntConstant ONE = new org.eclipse.jdt.internal.compiler.impl.IntConstant(1);
  
  private static final org.eclipse.jdt.internal.compiler.impl.IntConstant TWO = new org.eclipse.jdt.internal.compiler.impl.IntConstant(2);
  
  private static final org.eclipse.jdt.internal.compiler.impl.IntConstant THREE = new org.eclipse.jdt.internal.compiler.impl.IntConstant(3);
  
  private static final org.eclipse.jdt.internal.compiler.impl.IntConstant FOUR = new org.eclipse.jdt.internal.compiler.impl.IntConstant(4);
  
  private static final org.eclipse.jdt.internal.compiler.impl.IntConstant FIVE = new org.eclipse.jdt.internal.compiler.impl.IntConstant(5);
  
  private static final org.eclipse.jdt.internal.compiler.impl.IntConstant SIX = new org.eclipse.jdt.internal.compiler.impl.IntConstant(6);
  
  private static final org.eclipse.jdt.internal.compiler.impl.IntConstant SEVEN = new org.eclipse.jdt.internal.compiler.impl.IntConstant(7);
  
  private static final org.eclipse.jdt.internal.compiler.impl.IntConstant EIGHT = new org.eclipse.jdt.internal.compiler.impl.IntConstant(8);
  
  private static final org.eclipse.jdt.internal.compiler.impl.IntConstant NINE = new org.eclipse.jdt.internal.compiler.impl.IntConstant(9);
  
  private static final org.eclipse.jdt.internal.compiler.impl.IntConstant TEN = new org.eclipse.jdt.internal.compiler.impl.IntConstant(10);
  
  public static Constant fromValue(int value) {
    switch (value) {
      case -2147483648:
        return MIN_VALUE;
      case -4:
        return MINUS_FOUR;
      case -3:
        return MINUS_THREE;
      case -2:
        return MINUS_TWO;
      case -1:
        return MINUS_ONE;
      case 0:
        return ZERO;
      case 1:
        return ONE;
      case 2:
        return TWO;
      case 3:
        return THREE;
      case 4:
        return FOUR;
      case 5:
        return FIVE;
      case 6:
        return SIX;
      case 7:
        return SEVEN;
      case 8:
        return EIGHT;
      case 9:
        return NINE;
      case 10:
        return TEN;
    } 
    return new org.eclipse.jdt.internal.compiler.impl.IntConstant(value);
  }
  
  private IntConstant(int value) {
    this.value = value;
  }
  
  public byte byteValue() {
    return (byte)this.value;
  }
  
  public char charValue() {
    return (char)this.value;
  }
  
  public double doubleValue() {
    return this.value;
  }
  
  public float floatValue() {
    return this.value;
  }
  
  public int intValue() {
    return this.value;
  }
  
  public long longValue() {
    return this.value;
  }
  
  public short shortValue() {
    return (short)this.value;
  }
  
  public String stringValue() {
    return String.valueOf(this.value);
  }
  
  public String toString() {
    return "(int)" + this.value;
  }
  
  public int typeID() {
    return 10;
  }
  
  public int hashCode() {
    return this.value;
  }
  
  public boolean equals(Object obj) {
    if (this == obj)
      return true; 
    if (obj == null)
      return false; 
    if (getClass() != obj.getClass())
      return false; 
    org.eclipse.jdt.internal.compiler.impl.IntConstant other = (org.eclipse.jdt.internal.compiler.impl.IntConstant)obj;
    return (this.value == other.value);
  }
}
